Page MenuHomePhabricator

Enable config flag to make Replying v1.0 available as Beta Feature (on target wikis)
Closed, ResolvedPublic

Description

T245539 makes DiscussionTools available as a Beta Feature.

This task is about enabling the relevant config flag(s) to make v1.0 of the new replying workflow available to contributors on the target wikis (listed below) as a Beta Feature.

Target wikis

  • Arabic Wikipedia
  • Dutch Wikipedia
  • French Wikipedia
  • Hungarian Wikipedia

Timing

Provided no critical issues surface in QA, this feature will be deployed on 31-March.

Done

  • DiscussionTools are available to contributors on the "Target wikis" listed above as a BetaFeature
  • Ping @Whatamidoing-WMF once this happens so she can make contributors to target wikis aware

Event Timeline

ppelberg removed ppelberg as the assignee of this task.Feb 21 2020, 12:28 AM
ppelberg added subscribers: Whatamidoing-WMF, Esanders.

On the timing question: Not Friday, please! Any Monday/Tuesday/Wednesday/Thursday is fine with me, especially if you ping me to let me know when it happens.

@Samat, @Lofhi, @Tacsipacsi, @AdHuikeshoven, @Dyolf77_WMF: This is probably the best place to watch, to figure out when the Reply tool will become available in Beta Features.

Samat awarded a token.Feb 26 2020, 9:27 PM

They're sorting out some instrumentation in the background. Current best guess: No sooner than next Thursday (5 March 2020).

Change 579337 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on four wikis

https://gerrit.wikimedia.org/r/579337

(not scheduled yet, just putting up the patch for review)

Change 579347 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on the Beta Cluster

https://gerrit.wikimedia.org/r/579347

Change 579347 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on the Beta Cluster

https://gerrit.wikimedia.org/r/579347

(not scheduled yet, just putting up the patch for review)

Excellent. As discussed during today's stand-up, v1.0 of the new Replying feature should be deployed:

  • As a Beta Feature
  • This upcoming Monday, 16-March
  • To the following Wikipedias: Arabic, Dutch, French and Hungarian

...the task description has been updated to include this information.

ppelberg updated the task description. (Show Details)Mar 12 2020, 8:31 PM
Lofhi awarded a token.Mar 12 2020, 9:20 PM
This comment was removed by ppelberg.

Excellent. As discussed during today's stand-up, v1.0 of the new Replying feature should be deployed:

  • As a Beta Feature
  • This upcoming Monday, 16-March
  • To the following Wikipedias: Arabic, Dutch, French and Hungarian

...the task description has been updated to include this information.

The deployment of the new replying workflow as a Beta Feature on Arabic, Dutch, French and Hungarian Wikipedias will be delayed for an unspecified amount of time.

Once the new deployment date is set, we will communicate that information as a comment on this ticket.

ppelberg updated the task description. (Show Details)Mar 17 2020, 8:14 PM

Update: 26-March

Once the new deployment date is set, we will communicate that information as a comment on this ticket.

V1.0 of the Replying feature is scheduled to be deployed as a Beta Feature on Arabic, Dutch, French and Hungarian Wikipedias this upcoming Tuesday, 31-March provided QA does not surface any critical issues. QA will finish by EOD Monday, 30-March.

ppelberg updated the task description. (Show Details)Mar 30 2020, 3:16 PM
Samat added a comment.EditedMar 30 2020, 8:28 PM

Just a question came into my mind: might be any conflict with the old LiquidThreads extension (or the remained pages of it)?

There was a discussion of this topic related to enabling Flow (later Structured Discussions) on the Hungarian Wikipedia, see T119365 and T119571

Just a question came into my mind: might be any conflict with the old LiquidThreads extension (or the remained pages of it)?

Good question, @Samat – I'm glad you thought to ask.

To answer your question: the new Replying feature [1], and DiscussionTools [2] as a whole, does not conflict with LiquidThreads or Flow in so far as they only work on existing, wikitext-based talk pages.


  1. https://www.mediawiki.org/wiki/Talk_pages_project/replying
  2. https://www.mediawiki.org/wiki/Extension:DiscussionTools
Samat added a comment.EditedMar 31 2020, 6:57 AM

the new Replying feature [1], and DiscussionTools [2] as a whole, does not conflict with LiquidThreads or Flow in so far as they only work on existing, wikitext-based talk pages

@ppelberg thank you for your quick answer, great to hear!

That means, if I understood well, that we should handle these talk pages in a separate task later in order to get the new features everywhere.

Change 579337 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on four wikis

https://gerrit.wikimedia.org/r/579337

Mentioned in SAL (#wikimedia-operations) [2020-03-31T15:14:19Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T245794 Enable DiscussionTools as a beta feature on four wikis (duration: 01m 00s)

The reply tool is active on talk pages on the Dutch Wikipedia as beta feature. @WhatamIdoing wrote the feature to be active at the village pump as well https://nl.wikipedia.org/wiki/Wikipedia:De_kroeg#New_Beta_Feature. It isn't. In the short pretest a couple of weeks ago it was, by extending the url. The village pump isn't in a talk name space, however.

Samat updated the task description. (Show Details)Mar 31 2020, 8:26 PM
Samat updated the task description. (Show Details)

That means, if I understood well, that we should handle these talk pages in a separate task later in order to get the new features everywhere.

Great idea, @Samat. I've created this task to represent the work involved with transitioning non-wikitext talk pages to wikitext talk pages in order to gain access to DiscussionTools: T249075.

A note on priority: considering our focus right now is making sure the Replying feature is appearing and working well on existing wikitext talk pages, it is not likely we will begin work on the task above in the next few months.

Samat added a comment.Apr 1 2020, 9:13 PM

A note on priority: considering our focus right now is making sure the Replying feature is appearing and working well on existing wikitext talk pages, it is not likely we will begin work on the task above in the next few months.

That is clear. I also don't think it a priority task now, but as soon as the Replying tool will be a better alternative, these editors would like to migrate from the old tool to the new one. Thank you for creating the ticket for this task!

ppelberg closed this task as Resolved.Apr 4 2020, 12:55 AM

(Was the line 2020-09-12 – Reply tool in rOMWC290f5eb564088a454ea61884669648b2e5f5b749 a typo and should have been 2020-03-12 maybe?)

2020-09-12 is correct – according to the code comment above, it is supposed to be the date "6 months after the last major change", so that's why I added 6 months to the date when I wrote the patch.